Maton

Get Destination

GET/triggers/{trigger_id}/destinations/{destination_id}

Authorization

bearerAuth
AuthorizationBearer <token>

Your Maton API key, sent as Authorization: Bearer <MATON_API_KEY>. Create one at https://maton.ai/settings.

In: header

Path Parameters

trigger_id*string

The trigger's unique identifier.

destination_id*string

The destination's unique identifier.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET \  "https://api.maton.ai/triggers/{trigger_id}/destinations/{destination_id}" \  -H "Authorization: Bearer $MATON_API_KEY"
{
  "destination": {
    "destination_id": "3f1a9c2e-7b4d-4e8a-9c1f-2d3e4a5b6c7d",
    "url": "https://example.com/hook",
    "method": "POST",
    "headers": {
      "X-Token": "••••••••"
    },
    "signing_secret": "••••••••",
    "name": "prod",
    "body_template": null,
    "status": "ENABLED",
    "reason": null,
    "created_at": "2026-05-25T23:27:50.166333Z",
    "updated_at": "2026-05-25T23:27:50.166333Z"
  }
}
{
  "message": "Invalid API key.",
  "type": "Unauthorized",
  "code": 401
}
{
  "message": "Resource not found.",
  "type": "Not Found",
  "code": 404
}
{
  "message": "Too many requests.",
  "type": "Too Many Requests",
  "code": 429
}
{
  "message": "Internal server error.",
  "type": "Internal Server Error",
  "code": 500
}